> ## Documentation Index
> Fetch the complete documentation index at: https://developers.redo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Delete a webhook. Requires the [`webhooks_write`](/docs/api-reference/scopes) scope.



## OpenAPI

````yaml /api-schema/openapi.yaml delete /webhooks/{webhookId}
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /webhooks/{webhookId}:
    summary: Webhook
    description: Webhook.
    delete:
      tags:
        - Webhooks
      summary: Delete Webhook
      description: >-
        Delete a webhook. Requires the
        [`webhooks_write`](/docs/api-reference/scopes) scope.
      operationId: Webhook delete
      parameters:
        - $ref: '#/components/parameters/webhook-id.param'
      responses:
        '204':
          description: Deleted
      security:
        - Bearer: []
components:
  parameters:
    webhook-id.param:
      description: Webhook ID
      in: path
      name: webhookId
      required: true
      schema:
        example: 64e5a865a58eefeed7f05ea6
        type: string
  securitySchemes:
    Bearer:
      scheme: bearer
      type: http

````